      module mod_casdint
      parameter(nrec1=10240,nrec3=1024,nrecijcl=4096)
      integer norb,irec,long,long3,irec3,nnn4,nnn3,nsym,nintot,noc,ninte
     *,nintoe,its(8,8),mem,max_stoind,max_stolong3(8)
      integer,allocatable,dimension(:) :: jrec,ninti,itsym,itype
     *,max_stolong,sto_pointer
      integer,allocatable,dimension(:) :: jrec3,ninti3,io,iord,inv_iord
      integer,allocatable,dimension(:,:) :: krec,krec3,stoad,iadr03
     *,stoad3
      integer,allocatable,dimension(:,:,:) :: iadr0
      integer(2),allocatable,dimension(:,:,:) :: ind,ind3
      integer(2),allocatable,dimension(:,:) :: ind2,ind23
      double precision,allocatable,dimension(:,:) :: hint,hhh,hint3
     *,hhh3,ajk,aijjj,stoint,stoint3
      double precision,allocatable,dimension(:) :: hint2,hint23
      integer,allocatable,dimension(:) :: jad3,jad2
      character(80) ijcl1,ijcl41,ijcl31,ijcl21,mono1
      integer noac,nelac,numac(16)
      integer itypi(3,3,3,3),itest(100)
      logical(1) int_en_4_3_2_indices_differents,int_ech_calech
      character cint(4096),cjnt(4096),cknt(4096),clnt(4096)
     *,cijklnt(4096)
      double precision aaint_calech(4096)
      integer nts(8),ntstot(0:8)
      character(80) ijcl,ijcl4,ijcl3,ijcl2,prefix,info,info1,cdi1,
     *mono
      character(11),allocatable,dimension(:) :: stoname
      logical(1),allocatable,dimension(:,:) :: y,y3
      logical(1) y_test_adressage
      !logical(1),allocatable,dimension(:) :: y3
      integer maxlong_modif
      end module
